Subject: Re: bug#14247: 24.3.50; Autoloaded defcustom in package loses saved setting

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Apr 2013 15:52:09 -0400

> This obviously yields the suggestion "don't do that, then", but the
> manual doesn't seem to discourage the programmer from using autoload
> cookies with defcustom, so I think either the behaviour or the manual
> should be changed.

Using autoloads cookies on defvars and defcustom is indeed something
I generally discourage and I'd like to see such uses diminish.

But at the same time, they are sometimes important, so we should
definitely try to make it work right.

Note that "for M-x customize-option to list it" is not a good reason to
autoload a variable.  We should teach customize-option to load packages
as needed to really remove this desire to autoload variables.

        Stefan